Botan 1.10.17

Namespaces | Functions
cryptobox.h File Reference
`#include <string>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::CryptoBox

## Functions
std::string | Botan::CryptoBox::decrypt (const byte input[], size_t input_len, const std::string &passphrase)
std::string | Botan::CryptoBox::decrypt (const std::string &input, const std::string &passphrase)
std::string | Botan::CryptoBox::encrypt (const byte input[], size_t input_len, const std::string &passphrase, RandomNumberGenerator &rng)